package com.jqtx.windows.component.tsmodel;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.DecimalMin;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @program: asgard
 * @description:
 * @author: zq
 * @create: 2019-12-17 16:48
 **/
@Data
public class PlanRequest {

    @ApiModelProperty(value = "渠道来源", required = true)
    private Long bizChannel;

    @DecimalMin(value = "0.00", message = " 已还本金")
    @ApiModelProperty(value = " 已还本金", required = false)
    private BigDecimal capitalBackedRepay;

    @DecimalMin(value = "0.00", message = " 提前结清违约金")
    @ApiModelProperty(value = " 提前结清违约金", required = false)
    private BigDecimal defaultFine;

    @DecimalMin(value = "0.00", message = " 已还服务费")
    @ApiModelProperty(value = " 已还服务费", required = false)
    private BigDecimal feeBackedRepay;

    @DecimalMin(value = "0.00", message = " 已还利息")
    @ApiModelProperty(value = " 已还利息", required = false)
    private BigDecimal interestBackedRepay;

    @ApiModelProperty(value = "第三方合同编号", required = false)
    private String loanNo;

    @ApiModelProperty(value = "资金回款方式 ", required = false)
    private String payType;

    @ApiModelProperty(value = "已还罚息", required = false)
    private BigDecimal punishBackedRepay;

    @ApiModelProperty(value = "还款时间", required = false)
    private Date repayDate;

    @ApiModelProperty(value = " 委托方还款业务凭证", required = false)
    private String repayVoucher;

    @ApiModelProperty(value = " 全部已还金额", required = false)
    private BigDecimal totalBackedRepay;

    @ApiModelProperty(value = " 第三方案件编号", required = false)
    private String loanCaseNo;

    @ApiModelProperty(value = " 借款合同状态", required = false)
    private String loanState;

    @ApiModelProperty(value = " 回款方式/结清还是单期", required = false)
    private String backedType;

    @ApiModelProperty(value = "还款时间yyyyMMddHHmmss", required = false)
    private String repayTime;

    private String isYtCase;
}
